.store-locator-stockist__wrapper {
  background-color: var(--background-color);
  border-radius: 50px 50px 0 0;
  position: relative;

  & .store-locator-stockist__decor {
    display: block;
    max-width: var(--decor-size);
    position: absolute;
    top: var(--decor-top);
    left: var(--decor-left);
    transform: translate(-50%, -50%);

    & .store-locator-stockist__decor-image {
      width: 100%;
      height: auto;
      object-fit: contain;
    }

    @media screen and (max-width: 749px) {
      max-width: var(--decor-size-mobile);
      top: var(--decor-top-mobile);
      left: var(--decor-left-mobile);
    }
  }

  & .store-locator-stockist__inner-wrapper {
    padding-top: var(--padding-top-desktop);
    padding-bottom: var(--padding-bottom-desktop);
    border-radius: 50px 50px 0 0;

    & .store-locator-stockist__header {
      text-align: center;
      margin: 0 auto 40px;
      max-width: 760px;
    
      & .store-locator-stockist__subheading {
        color: var(--color);
        text-align: center;
        font-family: Poppins;
        font-size: 16px;
        font-style: normal;
        font-weight: 600;
        line-height: 150%;
        text-transform: uppercase;
      }

      & .store-locator-stockist__heading {
        margin: 10px auto;
        text-align: center;
        width: fit-content;
        
        font-family: Poppins;
        font-size: 36px;
        font-style: normal;
        font-weight: 600;
        line-height: 130%;
        letter-spacing: -1px;
      }

      & .store-locator-stockist__description {
        color: #4B4744;
        text-align: center;
        font-family: Poppins;
        font-size: 17px;
        font-style: normal;
        font-weight: 400;
        line-height: 28px; 

        & * {
          margin: 0;
        }
      }
    }

    & .store-locator-stockist__map {
      max-width: 1050px;
      margin: 0 auto;
    }
  }

  @media screen and (max-width: 749px) {
    border-radius: 20px 20px 0 0;
    min-height: 1150px;

    & .store-locator-stockist__inner-wrapper {
      padding-top: var(--padding-top-mobile);
      padding-bottom: var(--padding-bottom-mobile);

      & .store-locator-stockist__header {
        margin-bottom: 25px;

        & .store-locator-stockist__subheading {
          font-size: 15px;
        }

        & .store-locator-stockist__heading {
          font-size: 24px;
        }

        & .store-locator-stockist__description {
          font-size: 15px;
          line-height: 160%;
        }
      }
    }
  }
}